@file:Suppress("UNCHECKED_CAST", "USELESS_CAST", "INAPPLICABLE_JVM_NAME", "UNUSED_ANONYMOUS_PARAMETER", "SENSELESS_COMPARISON", "NAME_SHADOWING", "UNNECESSARY_NOT_NULL_ASSERTION")
package uni.UNIHelloUniAppX
import io.dcloud.uniapp.*
import io.dcloud.uniapp.extapi.*
import io.dcloud.uniapp.framework.*
import io.dcloud.uniapp.runtime.*
import io.dcloud.uniapp.vue.*
import io.dcloud.uniapp.vue.shared.*
import io.dcloud.unicloud.*
import io.dcloud.uts.*
import io.dcloud.uts.Map
import io.dcloud.uts.Set
import io.dcloud.uts.UTSAndroid
import kotlin.properties.Delegates
import io.dcloud.uniapp.extapi.setNavigationBarTitle as uni_setNavigationBarTitle
import io.dcloud.uniapp.extapi.showToast as uni_showToast
open class GenPagesUniUiTabBarTabBarMidbuttonNotch : BasePage {
    constructor(__ins: ComponentInternalInstance, __renderer: String?) : super(__ins, __renderer) {
        onLoad(fun(_: OnLoadOptions) {
            stat_instance.onLoad(this)
        }
        , __ins)
        onPageShow(fun() {
            stat_instance.onShow(this)
        }
        , __ins)
        onPageHide(fun() {
            stat_instance.onHide(this)
        }
        , __ins)
        onUnload(fun() {
            stat_instance.onUnload(this)
        }
        , __ins)
    }
    companion object {
        @Suppress("UNUSED_PARAMETER", "UNUSED_VARIABLE")
        var setup: (__props: GenPagesUniUiTabBarTabBarMidbuttonNotch) -> Any? = fun(__props): Any? {
            val __ins = getCurrentInstance()!!
            val _ctx = __ins.proxy as GenPagesUniUiTabBarTabBarMidbuttonNotch
            val _cache = __ins.renderCache
            val activeIndex = ref<Number>(0)
            val midButtonClickCount = ref<Number>(0)
            fun gen_handleChange_fn(index: Number): Unit {
                activeIndex.value = index
                when (index) {
                    0 -> 
                        uni_setNavigationBarTitle(SetNavigationBarTitleOptions(title = "首页"))
                    1 -> 
                        uni_setNavigationBarTitle(SetNavigationBarTitleOptions(title = "消息"))
                    2 -> 
                        uni_setNavigationBarTitle(SetNavigationBarTitleOptions(title = "通知"))
                    3 -> 
                        uni_setNavigationBarTitle(SetNavigationBarTitleOptions(title = "我的"))
                }
            }
            val handleChange = ::gen_handleChange_fn
            fun gen_handleMidButtonClick_fn(): Unit {
                midButtonClickCount.value = midButtonClickCount.value + 1
                uni_showToast(ShowToastOptions(title = "悬浮球点击 " + midButtonClickCount.value + " 次", icon = "none"))
            }
            val handleMidButtonClick = ::gen_handleMidButtonClick_fn
            return fun(): Any? {
                val _component_uni_tab_content = resolveEasyComponent("uni-tab-content", GenUniModulesUniTabBarComponentsUniTabContentUniTabContentClass)
                val _component_uni_tab_item = resolveEasyComponent("uni-tab-item", GenUniModulesUniTabBarComponentsUniTabItemUniTabItemClass)
                val _component_uni_tab_midbutton = resolveEasyComponent("uni-tab-midbutton", GenUniModulesUniTabBarComponentsUniTabMidbuttonUniTabMidbuttonClass)
                val _component_uni_tab_bar = resolveEasyComponent("uni-tab-bar", GenUniModulesUniTabBarComponentsUniTabBarUniTabBarClass)
                val _component_uni_tab = resolveEasyComponent("uni-tab", GenUniModulesUniTabBarComponentsUniTabUniTabClass)
                return _cV(_component_uni_tab, _uM("style" to _nS(_uM("flex" to "1")), "active-index" to unref(activeIndex), "tab-content-height-full" to true, "onChange" to handleChange), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                    return _uA(
                        _cV(_component_uni_tab_content, null, _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cV(unref(GenPagesUniUiTabBarTabContent1Class))
                            )
                        }
                        ), "_" to 1)),
                        _cV(_component_uni_tab_content, null, _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cV(unref(GenPagesUniUiTabBarTabContent2Class))
                            )
                        }
                        ), "_" to 1)),
                        _cV(_component_uni_tab_content, null, _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cV(unref(GenPagesUniUiTabBarTabContent3Class))
                            )
                        }
                        ), "_" to 1)),
                        _cV(_component_uni_tab_content, null, _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cV(unref(GenPagesUniUiTabBarTabContent4Class))
                            )
                        }
                        ), "_" to 1)),
                        _cV(_component_uni_tab_bar, _uM("style" to _nS(_uM("border-top" to "0px"))), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                            return _uA(
                                _cV(_component_uni_tab_item, _uM("class" to "tab-bg"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                                    return _uA(
                                        _cE("text", _uM("class" to _nC(if (unref(activeIndex) == 0) {
                                            "tab-label-active"
                                        } else {
                                            ""
                                        }
                                        )), "🏠", 2),
                                        _cE("text", _uM("class" to _nC(_uA(
                                            "tab-label",
                                            if (unref(activeIndex) == 0) {
                                                "tab-label-active"
                                            } else {
                                                ""
                                            }
                                        ))), "首页", 2)
                                    )
                                }
                                ), "_" to 1)),
                                _cV(_component_uni_tab_item, _uM("class" to "tab-bg"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                                    return _uA(
                                        _cE("text", _uM("class" to _nC(if (unref(activeIndex) == 0) {
                                            "tab-label-active"
                                        } else {
                                            ""
                                        }
                                        )), "💬", 2),
                                        _cE("text", _uM("class" to _nC(_uA(
                                            "tab-label",
                                            if (unref(activeIndex) == 1) {
                                                "tab-label-active"
                                            } else {
                                                ""
                                            }
                                        ))), "消息", 2)
                                    )
                                }
                                ), "_" to 1)),
                                _cV(_component_uni_tab_midbutton, _uM("width" to 106, "height" to 94), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                                    return _uA(
                                        _cE("view", _uM("class" to "floating-ball", "hover-class" to "floating-ball-hover", "hover-stop-propagation" to true, "onClick" to handleMidButtonClick), _uA(
                                            _cE("text", _uM("class" to "floating-ball-plus"), "+")
                                        )),
                                        _cE("image", _uM("class" to "notch-svg", "src" to "/static/tab-bar-midbutton-notch.svg", "mode" to "scaleToFill"))
                                    )
                                }
                                ), "_" to 1)),
                                _cV(_component_uni_tab_item, _uM("class" to "tab-bg"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                                    return _uA(
                                        _cE("text", _uM("class" to _nC(if (unref(activeIndex) == 0) {
                                            "tab-label-active"
                                        } else {
                                            ""
                                        }
                                        )), "🔔", 2),
                                        _cE("text", _uM("class" to _nC(_uA(
                                            "tab-label",
                                            if (unref(activeIndex) == 2) {
                                                "tab-label-active"
                                            } else {
                                                ""
                                            }
                                        ))), "通知", 2)
                                    )
                                }
                                ), "_" to 1)),
                                _cV(_component_uni_tab_item, _uM("class" to "tab-bg", "badge-text" to "8"), _uM("default" to withSlotCtx(fun(): UTSArray<Any> {
                                    return _uA(
                                        _cE("text", _uM("class" to _nC(if (unref(activeIndex) == 0) {
                                            "tab-label-active"
                                        } else {
                                            ""
                                        }
                                        )), "👤", 2),
                                        _cE("text", _uM("class" to _nC(_uA(
                                            "tab-label",
                                            if (unref(activeIndex) == 3) {
                                                "tab-label-active"
                                            } else {
                                                ""
                                            }
                                        ))), "我的", 2)
                                    )
                                }
                                ), "_" to 1))
                            )
                        }
                        ), "_" to 1), 8, _uA(
                            "style"
                        )),
                        _cE("view", _uM("class" to "tab-bg", "style" to _nS(_uM("width" to "100%", "height" to "var(--uni-safe-area-inset-bottom)", "position" to "absolute", "bottom" to "0"))), null, 4)
                    )
                }
                ), "_" to 1), 8, _uA(
                    "style",
                    "active-index"
                ))
            }
        }
        val styles: Map<String, Map<String, Map<String, Any>>> by lazy {
            _nCS(_uA(
                styles0
            ))
        }
        val styles0: Map<String, Map<String, Map<String, Any>>>
            get() {
                return _uM("tab-icon-image" to _pS(_uM("width" to 24, "height" to 24)), "tab-label" to _pS(_uM("fontSize" to 10, "color" to "rgb(220,220,220)")), "tab-label-active" to _pS(_uM("color" to "#FFFFFF")), "tab-bg" to _pS(_uM("backgroundColor" to "#2196F3", "transform" to "scaleX(1.005)")), "notch-svg" to _pS(_uM("width" to 108, "height" to 50, "position" to "absolute", "marginLeft" to -1, "marginRight" to -1, "bottom" to 0, "pointerEvents" to "none")), "floating-ball" to _pS(_uM("width" to 70, "height" to 70, "borderTopLeftRadius" to "50%", "borderTopRightRadius" to "50%", "borderBottomRightRadius" to "50%", "borderBottomLeftRadius" to "50%", "backgroundColor" to "#ff5a24", "justifyContent" to "center", "alignItems" to "center", "borderTopWidth" to 1, "borderRightWidth" to 1, "borderBottomWidth" to 1, "borderLeftWidth" to 1, "borderTopStyle" to "solid", "borderRightStyle" to "solid", "borderBottomStyle" to "solid", "borderLeftStyle" to "solid", "borderTopColor" to "#ffffff", "borderRightColor" to "#ffffff", "borderBottomColor" to "#ffffff", "borderLeftColor" to "#ffffff", "boxShadow" to "0px 4px 10px rgba(28, 98, 183, 0.16)")), "floating-ball-hover" to _pS(_uM("opacity" to 0.92, "transform" to "scale(0.96)")), "floating-ball-plus" to _pS(_uM("fontSize" to 40, "lineHeight" to "40px", "color" to "#ffffff")))
            }
        var inheritAttrs = true
        var inject: Map<String, Map<String, Any?>> = _uM()
        var emits: Map<String, Any?> = _uM()
        var props = _nP(_uM())
        var propsNeedCastKeys: UTSArray<String> = _uA()
        var components: Map<String, CreateVueComponent> = _uM()
    }
}
